Subject: Re: [PATCH -next] net: dsa: Simplify with scoped for each OF child loop

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Aug 2024 07:51:23 -0700

On Thu, 22 Aug 2024 10:07:25 +0800 Jinjie Ruan wrote:
> On 2024/8/22 8:18, Jakub Kicinski wrote:
> > On Tue, 20 Aug 2024 14:58:04 +0800 Jinjie Ruan wrote:  
> >> Use scoped for_each_available_child_of_node_scoped() when iterating over
> >> device nodes to make code a bit simpler.  
> > 
> > Could you add more info here that confirms this works with gotos?
> > I don't recall the details but I thought sometimes the scoped
> > constructs don't do well with gotos. I checked 5 random uses
> > of this loop and 4 of them didn't have gotos.  
> 
> Hi, Jakub
> 
> From what I understand, for_each_available_child_of_node_scoped() is not
> related to gotos, it only let the iterating child node self-declared and
> automatic release, so the of_node_put(iterating_child_node) can be removed.

Could you either test it or disasm the code to double check, please?